Bug 1553897 - AttributeError: 'NoneType' object has no attribute 'typeattributes'
Summary: AttributeError: 'NoneType' object has no attribute 'typeattributes'
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: selinux-policy
Version: 27
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Lukas Vrabec
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks: 1558861
TreeView+ depends on / blocked
 
Reported: 2018-03-09 19:53 UTC by Kamil Páral
Modified: 2018-05-05 22:27 UTC (History)
5 users (show)

Fixed In Version: selinux-policy-3.13.1-283.34.fc27
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1558861 (view as bug list)
Environment:
Last Closed: 2018-05-05 22:27:17 UTC


Attachments (Terms of Use)
transaction log (7.62 KB, text/plain)
2018-03-09 19:53 UTC, Kamil Páral
no flags Details

Description Kamil Páral 2018-03-09 19:53:07 UTC
Description of problem:

  Running scriptlet: selinux-policy-minimum-3.13.1-283.27.fc27.noarch                                               3/8 
  Installing       : selinux-policy-minimum-3.13.1-283.27.fc27.noarch                                               3/8 
  Running scriptlet: selinux-policy-minimum-3.13.1-283.27.fc27.noarch                                               3/8 
Traceback (most recent call last):
  File "/usr/sbin/semanage", line 28, in <module>
    import seobject
  File "/usr/lib64/python3.6/site-packages/seobject.py", line 1059, in <module>
    class portRecords(semanageRecords):
  File "/usr/lib64/python3.6/site-packages/seobject.py", line 1061, in portRecords
    valid_types = list(list(sepolicy.info(sepolicy.ATTRIBUTE, "port_type"))[0]["types"])
  File "/usr/lib/python3.6/site-packages/sepolicy/__init__.py", line 197, in <genexpr>
    return ({
  File "/usr/lib64/python3.6/site-packages/setools/typeattrquery.py", line 65, in results
    for attr in self.policy.typeattributes():
AttributeError: 'NoneType' object has no attribute 'typeattributes'
Failed to resolve typeattributeset statement at /var/lib/selinux/minimum/tmp/modules/100/xserver/cil:508
/usr/sbin/semodule:  Failed!


Version-Release number of selected component (if applicable):
selinux-policy-minimum.noarch 3.13.1-283.27.fc27

Comment 1 Kamil Páral 2018-03-09 19:53:38 UTC
Created attachment 1406383 [details]
transaction log

Comment 2 Fedora Update System 2018-04-29 13:19:13 UTC
selinux-policy-3.13.1-283.34.fc27 has been submitted as an update to Fedora 27. https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa26da1777

Comment 3 Fedora Update System 2018-04-30 14:17:30 UTC
selinux-policy-3.13.1-283.34.fc27 has been pushed to the Fedora 27 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2018-aa26da1777

Comment 4 Fedora Update System 2018-05-05 22:27:17 UTC
selinux-policy-3.13.1-283.34.fc27 has been pushed to the Fedora 27 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.